ur_rna.GUITester.GuiTools

## Enum GuiRelative

- java.lang.Object
- - java.lang.Enum<GuiRelative>
  - - ur_rna.GUITester.GuiTools.GuiRelative

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GuiRelative>

      public enum GuiRelative
      extends java.lang.Enum<GuiRelative>

  Describes the relationship between two GUI Components. Relationships are directional, so it is important to note the order of the components. Given components A and B, the relationship `A --[RELATION]--> B` is interpreted as "B is a RELATION of A". e.g. `A --[Child]--> B` means that B is the Child of A. Similarly `A --[PrevSibling]--> B` means that B is the previous sibling of A. In regards to the `GuiItemRef.relationship` property of a `GuiItemRef`, it should be interpreted as GuiItemRef (subject) is a [RELATION] of `GuiItemRef.relative` So for example, if C and P are GuiItemRef objects and C.relative=P and C.relationship=`Child` it indicates that C is a Child of P.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Ancestor`
    `Child`
    `Descendant`
    `LabelTarget`
    `Parent`
    `Sibling`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GuiRelative` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GuiRelative[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Ancestor

          public static final GuiRelative Ancestor

    - #### Child

          public static final GuiRelative Child

    - #### Descendant

          public static final GuiRelative Descendant

    - #### LabelTarget

          public static final GuiRelative LabelTarget

    - #### Parent

          public static final GuiRelative Parent

    - #### Sibling

          public static final GuiRelative Sibling

  - ### Method Detail

    - #### valueOf

          public static GuiRelative valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static GuiRelative[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GuiRelative c : GuiRelative.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared